View Issue Details

IDProjectCategoryView StatusLast Update
13357Bug reports[All Projects] Survey designpublic2018-05-16 13:49
ReporterjeloAssigned ToLouisGac 
PrioritynoneSeverityminor 
Status closedResolutionreopened 
Product Version3.1.x 
Target VersionFixed in Version3.4.x 
Summary13357: "Surveys in this group" is not filtering surveys
Description

Survey groups are not filtered.
If you choose a Survey group and get to the next view, all surveys are shown under
Surveys in this group:

The main list with an filter on grouplevel would be nice too.

Steps To Reproduce

Just try survey groups.
Reproduces in demo.limesurvey.org Version 3.3.0
And in Version 3.3.1 too.

TagsNo tags attached.
Complete LimeSurvey version number (& build)3.3.1
I will donate to the project if issue is resolvedNo
Browser
Database & DB-VersionN/A
Operating System (Server)N/A
Webserver software & versionN/A
PHP VersionN/A

Activities

jelo

jelo

2018-02-14 22:08

updater  

20180214.surveygroups.PNG (36,345 bytes)
20180214.surveygroups.PNG (36,345 bytes)
LouisGac

LouisGac

2018-03-05 12:52

manager   ~46894

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=26652

LouisGac

LouisGac

2018-03-05 13:22

manager   ~46895

I've also added a "group" filter for survey list
https://github.com/LimeSurvey/LimeSurvey/commit/30c9f2302225baf09d8c339943a6e9cd7a8d878b

jelo

jelo

2018-03-12 12:21

updater   ~47018

LS 3.5.0
If you edit a group (/admin/surveysgroups/sa/update/), you get every survey listed (without even assigning a survey to that group).
Tab "Surveys in this group:" shows every survey, even if none is assigned to that group.

LouisGac

LouisGac

2018-03-15 10:22

manager   ~47063

jelo: what DB are you using? MySQL?

jelo

jelo

2018-03-15 11:46

updater   ~47065

MySQL and MariaDB is used.
Wasn't able to retest it on demo.limesurvey.org cause 3.5.X is currently not available there (demo still on 3.4.1).

LouisGac

LouisGac

2018-03-15 13:16

manager   ~47069

thx

LouisGac

LouisGac

2018-05-16 13:49

manager   ~47646

has been fixed

Related Changesets

LimeSurvey: master 7db7bda5

2018-03-05 12:52:23

LouisGac

Details Diff
Fixed issue 13357: "Surveys in this group" is not filtering surveys
mod - application/controllers/admin/SurveysGroupsController.php Diff File
mod - application/models/Survey.php Diff File

Issue History

Date Modified Username Field Change
2018-02-14 22:08 jelo New Issue
2018-02-14 22:08 jelo File Added: 20180214.surveygroups.PNG
2018-03-05 11:48 LouisGac Sticky Issue No => Yes
2018-03-05 12:44 LouisGac Assigned To => olle
2018-03-05 12:44 LouisGac Status new => assigned
2018-03-05 12:44 LouisGac Assigned To olle => LouisGac
2018-03-05 12:52 LouisGac Changeset attached => LimeSurvey master 7db7bda5
2018-03-05 12:52 LouisGac Note Added: 46894
2018-03-05 12:52 LouisGac Resolution open => fixed
2018-03-05 13:21 LouisGac Sticky Issue Yes => No
2018-03-05 13:22 LouisGac Note Added: 46895
2018-03-05 13:22 LouisGac Status assigned => resolved
2018-03-05 17:31 olle Status resolved => closed
2018-03-05 17:31 olle Fixed in Version => 3.4.x
2018-03-12 12:21 jelo Status closed => feedback
2018-03-12 12:21 jelo Resolution fixed => reopened
2018-03-12 12:21 jelo Note Added: 47018
2018-03-12 13:26 olle Status feedback => assigned
2018-03-15 10:22 LouisGac Note Added: 47063
2018-03-15 11:46 jelo Note Added: 47065
2018-03-15 13:16 LouisGac Note Added: 47069
2018-05-16 13:49 LouisGac Status assigned => closed
2018-05-16 13:49 LouisGac Note Added: 47646